# generated by cabal-rpm-1.0.1
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name purebred
%global pkgver %{pkg_name}-%{version}

%bcond_with tests

Name:           %{pkg_name}
Version:        0.1.0.0
Release:        0.20200521%{?dist}
Summary:        An mail user agent built around notmuch

License:        AGPLv3
Url:            https://github.com/purebred-mua/%{name}
Source0:        https://github.com/purebred-mua/%{name}/archive/%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-attoparsec-prof
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-brick-prof
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-case-insensitive-prof
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-deepseq-prof
BuildRequires:  ghc-directory-prof
BuildRequires:  ghc-dyre-prof
BuildRequires:  ghc-exceptions-prof
BuildRequires:  ghc-filepath-prof
BuildRequires:  ghc-lens-prof
BuildRequires:  ghc-mime-types-prof
BuildRequires:  ghc-mtl-prof
BuildRequires:  ghc-notmuch-prof
BuildRequires:  ghc-optparse-applicative-prof
BuildRequires:  ghc-purebred-email-prof
BuildRequires:  ghc-random-prof
BuildRequires:  ghc-stm-prof
BuildRequires:  ghc-temporary-prof
BuildRequires:  ghc-text-prof
BuildRequires:  ghc-text-zipper-prof
BuildRequires:  ghc-time-prof
BuildRequires:  ghc-typed-process-prof
BuildRequires:  ghc-vector-prof
BuildRequires:  ghc-vty-prof
BuildRequires:  ghc-word-wrap-prof
%if %{with tests}
BuildRequires:  ghc-quickcheck-instances-devel
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-hunit-devel
BuildRequires:  ghc-tasty-quickcheck-devel
BuildRequires:  ghc-tasty-tmux-devel
BuildRequires:  ghc-unix-devel
%endif
Requires: purebred-basic = %{version}-%{release}
Requires: purebred-config = %{version}-%{release}

%description
An MUA built around <https://notmuchmail.org/ notmuch>. Mutt-inspired console
interface, but embracing the notmuch storage / search paradigm.

= Requirements

* GHC >= 8.4
* notmuch
* a local mailer (e.g. 'sendmail')

= Status

The project is in development and is not ready for serious use.
Contributions are welcome (bug reports, feedback, doc, code, etc). See HACKING
for more info.


%package -n ghc-%{name}
Summary:        Haskell %{name} library

%description -n ghc-%{name}
This package provides the Haskell %{name} shared library.


%package -n ghc-%{name}-devel
Summary:        Haskell %{name} library development files
Provides:       ghc-%{name}-static = %{version}-%{release}
Provides:       ghc-%{name}-doc = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
%endif
Requires:       ghc-%{name}%{?_isa} = %{version}-%{release}

%description -n ghc-%{name}-devel
This package provides the Haskell %{name} library development files.

%if %{with haddock}
%package -n ghc-%{name}-doc
Summary:        Haskell %{name} library documentation

%description -n ghc-%{name}-doc
This package provides the Haskell %{name} library documentation.
%endif


%if %{with ghc_prof}
%package -n ghc-%{name}-prof
Summary:        Haskell %{name} profiling library
Requires:       ghc-%{name}-devel%{?_isa} = %{version}-%{release}

%description -n ghc-%{name}-prof
This package provides the Haskell %{name} profiling library.
%endif

%package basic
Summary: An terminal based mail user agent.

%description basic
An mail user agent built around notmuch.

%package config
Summary: purebred config
Requires: ghc-purebred-devel = %{version}-%{release}

%description config
This package provides configuration files for purebred.


%prep
%setup -q -n %{pkgver}


%build
%ghc_lib_build


%install
%ghc_lib_install
install -p -m 0644 -D configs/purebred.hs %{buildroot}%{_datadir}/purebred/purebred.hs

%check
%cabal_test


%files
%license LICENSE

%files basic
# Begin cabal-rpm files:
%doc README.md
%{_bindir}/%{name}
# End cabal-rpm files

%files config
%{_datadir}/purebred/purebred.hs


%files -n ghc-%{name} -f ghc-%{name}.files
# Begin cabal-rpm files:
%license LICENSE
# End cabal-rpm files


%files -n ghc-%{name}-devel -f ghc-%{name}-devel.files
%doc README.md


%if %{with haddock}
%files -n ghc-%{name}-doc -f ghc-%{name}-doc.files
%endif


%if %{with ghc_prof}
%files -n ghc-%{name}-prof -f ghc-%{name}-prof.files
%endif


%changelog
* Mon Nov 25 2019 Róman Joost <roman@bromeco.de> - 0.1.0.0-0.20191125
- Fixes purebred dependencies
- new archive from 9b71d6de7b6a11722606c042d63fa4dbead621a8

* Mon Nov 04 2019 Róman Joost <roman@bromeco.de> - 0.1.0.0-0.20191104
- new nightly build
